ExtCalendar 2.0 Multiple SQL Injection and HTML Injection Vulnerabilities

2012-09-05T00:00:00
ID EDB-ID:37781
Type exploitdb
Reporter Ashiyane Digital Security Team
Modified 2012-09-05T00:00:00

Description

ExtCalendar 2.0 Multiple SQL Injection and HTML Injection Vulnerabilities. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/55424/info

ExtCalendar is prone to multiple SQL-injection vulnerabilities and an HTML-injection vulnerability because it fails to sufficiently sanitize user-supplied input.

Exploiting these issues may allow an attacker to compromise the application, access or modify data, exploit vulnerabilities in the underlying database, execute HTML and script code in the context of the affected site, and steal cookie-based authentication credentials; other attacks are also possible.

ExtCalendar 2.0 is vulnerable; other versions may also be affected. 

http://www.example.com/calendar.php?mode=view&id={SQL}
http://www.example.com/calendar.php?mode=cat&cat_id={SQL}
http://www.example.com/calendar/cal_popup.php?mode=view&id={SQL}